View Issue Details

IDProjectCategoryView StatusLast Update
0003518Expressions[FreeCAD] Bugpublic2018-11-11 11:30
Reporteramrit3701Assigned Towmayer 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target VersionFixed in Version[FreeCAD] 0.18 
Summary0003518: Expressions (fx) not updated
DescriptionWhen I try to merge a parametric object in a new document, its expressions are not updated. For eg. suppose we have a parametric object which has an expression "object.Length.Value". And when I try to merge this object in some document which already have some objects, the newly merge object named as "object001" but its expression remains the same (i.e "object.Length.Value"). I expected that newly expression should changed as "object001.Length.Value".
Additional InformationOS: Ubuntu 16.04.4 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.13919 (Git)
Build type: None
Branch: master
Hash: 05bee3aa1fb8a27fa1528a50dc8f8b15ac5b0cce
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/India (en_IN)
TagsNo tags attached.

Relationships

has duplicate 0003462 closedwmayer Rename command - Rename of Spreadsheet in Document structure 

Activities

Kunda1

2018-06-22 13:04

manager   ~0011462

Punting to @eivindkvedalen

wmayer

2018-11-11 09:59

administrator   ~0012174

https://github.com/FreeCAD/FreeCAD/commit/de074ec4f37ee8baf4c268a3bc528f4bddf8ac15

Issue History

Date Modified Username Field Change
2018-06-20 16:20 amrit3701 New Issue
2018-06-22 13:03 Kunda1 Project FreeCAD => Expressions
2018-06-22 13:03 Kunda1 Assigned To => eivindkvedalen
2018-06-22 13:03 Kunda1 Status new => assigned
2018-06-22 13:04 Kunda1 Note Added: 0011462
2018-11-11 09:59 wmayer Assigned To eivindkvedalen => wmayer
2018-11-11 09:59 wmayer Status assigned => closed
2018-11-11 09:59 wmayer Resolution open => fixed
2018-11-11 09:59 wmayer Fixed in Version => 0.18
2018-11-11 09:59 wmayer Note Added: 0012174
2018-11-11 11:30 wmayer Relationship added has duplicate 0003462